# -*- encoding : utf-8 -*-

class Admin::AdminsController < ApplicationController
	
	before_filter :authenticate_admin!
	
	layout "admin"
	
	navigation :admins

 
	def index

		@admins = Admin.order( "email" )
			
	end
	

	def new
		@admin = Admin.new

	end

	def edit
		@admin = Admin.find(params[:id])
	
	end


	def create
		@admin = Admin.new(params[:admin])
		
		if @admin.save
			flash[:notice] = "L'administrateur "+@admin.email.to_s+" à été ajouté avec succès."
		
		else
			render :action => "new" 

		end

	end
	

	def update
		
		@breadcrumb = [["liste des administrateurs", admin_admins_path],"Modifier un administrateur"]
		
		@admin = Admin.find(params[:id])
		
		if params[:admin][:password] == ""
			params[:admin].delete(:password)
			params[:admin].delete(:password_confirmation)
		end
		
		
		if @admin.update_attributes(params[:admin])
			
			flash[:notice] = "L'administrateur "+@admin.email.to_s+" à été modifié avec succès."
				
		else
		
			render :action => "edit" 
			
		end
		
	end


	def destroy
		@admin = Admin.find(params[:id])
	
		if @admin == current_admin
		
			flash[:alert] = "Vous ne pouvez pas supprimer l'administrateur actuellement connecté."	

		else
	
			@admin.destroy
			flash[:notice] = "L'utilisateur "+@admin.email.to_s+" à bien été supprimé."		

		end

	end
	
	
end
